Guarding against intrusion attempts

Norton Internet Security allows you to protect your computer against hackers and other Internet intruders. You can assess your level of protection, configure safe computer access, and react if your computer is attacked.

More Information

About Security Inspector

Scanning your computer for vulnerable settings

Restoring settings fixed by Security Inspector

Creating or changing your Windows account password

Turning on file and printer sharing on a protected computer

Stopping all network and Internet traffic

Responding to security protection alerts


About Security Inspector

Security Inspector scans for settings that can compromise your computer's security. It also checks for components that are common targets of Internet attacks. You can then use Security Inspector to fix the vulnerable settings according to Symantec recommendations.

These settings and components fall into basic categories and advanced categories. By default, Security Inspector scans for all basic categories and no advanced categories.

You can use Norton Internet Security options to modify which categories that Security Inspector scans.

You can also use Security Inspector to automatically restore the settings that it has fixed, if necessary.

Security Inspector cannot restore shared folder settings or settings in any other category that you have modified or that a third-party program has modified.

Security Inspector scans the following basic categories:

Browser settings

Checks that Internet Explorer security settings meet Symantec standards.

Security Inspector does not scan the security settings of browsers other than Internet Explorer.

Instant messaging

Determines whether Norton Internet Security is set to protect your Instant Messenger accounts (AOL Instant Messenger, Yahoo! Instant Messenger, and Microsoft Messenger).

Security Inspector does not check the settings of Yahoo! Instant Messenger 7.0 or later, which uses server-based virus protection.

IP addresses

Checks that IP addresses (localhost settings) on your Windows hosts file have not been redirected. Many viruses and spyware applications modify the IP addresses in the Windows hosts file to redirect network traffic.

Windows passwords

This option is not available in the 64-bit version of Windows Vista.

Checks for weak or easily guessed Windows account passwords.

Weak passwords include the following qualities:

  • Fewer than eight characters

  • Match available identification information, such as your user name or your computer name, in regular or reversed order

  • Similar to available identification, with substitution characters such as 5 for "s" or 4 for "a"

Security Inspector cannot automatically fix weak Windows accounts passwords. If Security Inspector reports weak Windows accounts passwords, account users should log on to Windows and change their passwords.

Security Inspector scans the following advanced categories:

Shared folders | Checks for shared folder settings that do not meet Symantec security standards. Examples include administrative shares, shared system folders, and more than four shared folders of any combination of shared folder types.
Windows services | Determines whether certain types of Windows services are configured for optimal security according to Symantec standards.
User rights | Checks for Windows accounts with excess rights, such as the permission to shut down your computer from another computer.

More Information

About Security Inspector General Settings options


Scanning your computer for vulnerable settings

You can use Security Inspector to scan for and fix settings that can compromise your computer's security.

To scan your computer for vulnerable settings

  1. At the top of the main window, click the Norton Internet Security tab.

  2. Open the Tasks & Scans bar.

  3. Click Security Inspector, and then click Scan Now.

    Security Inspector displays a list of categories that contain vulnerable settings, if it found any. By default, the actions for all items in all categories (except Windows Passwords) are set to Fix.

    The Windows Passwords category is not available in the 64-bit version of Windows Vista.

  4. If necessary, do one of the following:

    • If you want to take no action for all items in a category, uncheck that category's check box.

    • If you want to customize any actions, click Details on the appropriate category, customize the actions, and then click OK.

    Windows account passwords cannot be fixed automatically. Items in this category are set to No Action.

  5. In the Security Inspector window, click Fix.

    The Security Inspector begins fixing settings and applying other configured actions, if applicable.

  6. In the Results window, click OK.

Security Inspector can restore all fixed settings to their previous values, except for shared folders. However, if you or a third-party program modify a setting that has been automatically fixed, Security Inspector cannot restore it.

More Information

Restoring settings fixed by Security Inspector

About Security Inspector General Settings options


Restoring settings fixed by Security Inspector

A Security Inspector scan might result in a change to a custom setting that you meant to maintain. You can use Security Inspector to restore the settings that were previously fixed during a scan. Security Inspector cannot restore shared folder settings or settings in any other category that you have modified or that a third-party program has modified.

Restoring settings to their previous, vulnerable states can compromise the security of your computer.

To restore settings fixed by Security Inspector

  1. At the top of the main window, click the Norton Internet Security tab.

  2. Open the Tasks & Scans bar.

  3. Click Security Inspector, and then click Restore.

  4. If necessary, do one of the following:

    • If you want to take no action for all items in a category, uncheck that category's check box.

    • If you want to customize any actions, click Details on the appropriate category, customize the actions, and then click OK.

  5. In the Security Inspector window, click Restore.

  6. In the Results window, click OK.

More Information

Scanning your computer for vulnerable settings

About Security Inspector General Settings options


Creating or changing your Windows account password

Security Inspector cannot automatically fix missing or weak Windows accounts passwords. If Security Inspector reports missing or weak Windows accounts passwords, account users should log on to Windows and create or change their passwords.

Security Inspector does not check Windows account passwords on computers that use the 64-bit version of Windows Vista.

When you create or change a password, you should use a strong password. Strong passwords have the following qualities:

  • At least eight characters

  • At least one non-alphanumeric character

  • No phrases that match the available identification information, such as the user name or the computer name, in regular or reversed order

  • No phrases that are similar to the available identification information, using substitution characters such as 5 for "s" or 4 for "a"

Your account might need to have Administrator rights to create or change your password. If your account does not have administrator rights, another user that does have Administrator rights might be able to create or change your password for you. The way you create or change a password differs depending on your version of Windows. If none of the following procedures works, you should consult your Windows documentation or help files.

To create a Windows account password in Windows Vista

  1. On the Windows taskbar, click Start > Control Panel.

  2. In the Control Panel window, click User Accounts and Family Safety.

  3. Under User Accounts, click Change your Windows password.

  4. In the Make changes to your user account window, click Create a password for your account.

  5. In the Create a password for your account window, type your new password.

  6. In the provided text box, type your password again.

  7. In the next text box, type a hint that will remind you of your password, but that will be difficult for anyone else to understand.

  8. Click Create password.

To create a Windows account password in Windows XP

  1. On the Windows taskbar, click Start > Control Panel.

  2. In the Control Panel window, double-click User Accounts.

  3. In the User Accounts window, click your account name.

  4. In the What do you want to change about your account window, click Create a password.

  5. In the Create a password for your account window, type your new password.

  6. In the provided text box, type your password again.

  7. In the next text box, type a hint that will remind you of your password, but that will be difficult for anyone else to understand.

  8. Click Create Password.

To change your Windows account password in Windows Vista

  1. On the Windows taskbar, click Start > Control Panel.

  2. In the Control Panel, click User Accounts and Family Safety.

  3. Under User Accounts, click Change your Windows password.

  4. In the Make changes to your user account window, click Change your password.

  5. In the Change your password window, type your current password, and then type your new password.

  6. In the provided text box, type your password again.

  7. Type a hint that will remind you of your password, but that will be difficult for anyone else to understand.

  8. Click Change password.

To change your Windows account password in Windows XP

  1. On the Windows taskbar, click Start > Control Panel.

  2. In the Control Panel window, double-click User Accounts.

  3. In the User Accounts window, click your account name.

  4. In the What do you want to change about your account window, click Change my password.

  5. In the Change your password window, type your current password, and then type your new password.

  6. In the provided text box, type your password again.

  7. Type a hint that will remind you of your password, but that will be difficult for anyone else to understand.

  8. Click Change Password.

To create or change your Windows account password

  1. On your keyboard, press Ctrl+Alt+Delete.

  2. Do one of the following:

    • In Windows Vista, click Change a password from the list that appears.

    • In Windows XP, click Change Password in the Windows Security dialog box.

  3. In the Change Password dialog box, in the Old Password text box, do one of the following:

    • If you are changing your password, type your existing password.

    • If you are creating a password, leave this text box blank.

  4. In the New Password field, type a strong password.

  5. In the Confirm New Password text box, type your password again.

  6. Do one of the following:

    • In Windows Vista, click the arrow button.

    • In Windows XP, click OK.

More Information

Scanning your computer for vulnerable settings

Restoring settings fixed by Security Inspector


Turning on file and printer sharing on a protected computer

By default, Norton Internet Security allows file and printer sharing that is configured through Microsoft networking, as long as a computer on your network has accessed these services on your computer before you installed the current version of Norton Internet Security. If you turn on file and printer sharing after installing Norton Internet Security, or if the other computers on your network cannot access these services on your computer, you can use Trust Control to allow access.

When using file and printer sharing on your network, you should ensure that each shared resource is protected by a secure password. To learn more about securing shared resources, check the Windows Help file on your Start menu.

More Information

Allowing or blocking access to your computer


Stopping all network and Internet traffic

The Block Traffic feature stops all communication to and from your computer. To the outside world, it appears that your computer has completely disconnected from the Internet. You cannot use any programs that require a network connection, such as email, instant messengers, or Web browsers, while traffic is blocked.

If you want to block all traffic into and out of your computer, Block Traffic is more effective than simply using your Internet software to disconnect. Most Internet programs can automatically connect without any input from the user, so a malicious program could reconnect when you are away from the computer.

Block Traffic is meant to be used as a temporary measure while you address a security problem. If you restart your computer, Norton Internet Security automatically allows all incoming and outgoing communication.

The Block Traffic feature is available in the Norton Internet Security icon in the Notification Area of the Windows XP Taskbar. The Norton Internet Security icon does not appear in the Notification Area by default. If you want to use Block Traffic, you must first display the Norton Internet Security icon.

To display the Norton Internet Security icon in the Notification Area

  1. At the top of the main window, click the Norton Internet Security tab.

  2. Open the Settings bar.

  3. Under Additional Options, click Internet Security and Firewall options.

    You might need to scroll down to view Additional Options.

  4. In the Internet Security and Firewall Options window, under Tray icon settings, check Show Norton Internet Security in the System Tray.

  5. Click OK.

To stop all network and Internet traffic

  1. In the Notification Area of the Windows XP Taskbar, right-click the Norton Internet Security icon, and then click Block Traffic.

  2. In the Warning dialog box, read the text, and then click OK.

    The Norton Internet Security icon changes to indicate that traffic is being blocked.

Restore traffic when you are ready.

To restore all network and Internet traffic

  • In the Notification Area of the Windows XP Taskbar, right-click the Norton Internet Security icon, and then click Allow Traffic.

    The Norton Internet Security icon returns to normal.

More Information

Responding to security protection alerts


Responding to security protection alerts

By default, Norton Internet Security does not display security protection alerts. If you have customized Firewall Processing settings in the Personal Firewall General Settings, security protection alerts will appear at times.

If a Norton Internet Security alert appears, you should read it before you make a decision. You should first identify what type of alert it is and its security level. Once you understand the risks, you can decide what to do.

You should take as much time as you need to make your choice. Your computer is safe from attack while the alert is active.

Norton Internet Security helps you decide on an appropriate action by preselecting the recommended action, if one exists. Norton Internet Security cannot suggest recommended actions for all alerts.

Whether or not an alert appears, security protection events are recorded in Security History. In Security History you can view security protection events and actions. For some events, you can initiate a new action.

More Information

About Personal Firewall General Settings options


Browser Settings details

The Internet Explorer security settings listed in this dialog box do not meet Symantec standards. The recommended values for the Internet Explorer security settings that Security Inspector detects are:

Download signed ActiveX controls | Disable (Prompt is also allowed)
Download unsigned ActiveX controls | Disable
Run ActiveX controls and plug-ins | Enable (Administrator approved, Disable and Prompt are also allowed)
Initialize and script ActiveX controls not marked as safe | Disable
Allow scripting of Internet Explorer Web browser control | Disable
Active scripting | Enable (Disable and Prompt are also allowed)
Scripting of Java applets | Enable (Disable and Prompt are also allowed)
Script ActiveX controls marked safe for scripting | Enable (Disable and Prompt are also allowed)
Access data sources across domains | Disable
Allow programmatic clipboard access | Enable (Disable and Prompt are also allowed)
Submit non-encrypted form data | Enable (Disable and Prompt are also allowed)
Font download | Enable (Disable and Prompt are also allowed)
Userdata persistence | Enable (Disable is also allowed)
Navigate sub-frames across different domains | Enable (Disable and Prompt are also allowed)
Allow META REFRESH | Enable (Disable is also allowed)
Display mixed content | Prompt (Disable is also allowed )
Installation of desktop items | Prompt (Disable is also allowed )
Drag and drop or copy and paste files | Enable (Disable and Prompt are also allowed)
File download | Enable (Disable is also allowed)
Launching applications and files in an IFRAME | Prompt (Disable is also allowed )
Launching programs and files in webview | Prompt (Disable is also allowed )
Launching applications and unsafe files | Prompt (Disable is also allowed )
Use pop-up blocker | Enable (Disable is also allowed)
Logon | Automatic logon only in the Intranet zone (Prompt for user name and password is also allowed)
Don't prompt for client certificate selection when no certificates or only one certificate exists | Disable
Software channel permissions | Medium safety (High safety is also allowed)
Script and binary behaviors | Enable (Administrator approved and Disable are also allowed)
Run .NET Framework-reliant components signed with Authenticode | Enable (Disable and Prompt are also allowed)
Run .NET Framework-reliant components not signed with Authenticode | Enable (Disable and Prompt are also allowed)
Open files based on content, not file extension | Enable (Disable is also allowed)
Web sites in less privileged web content zones can navigate into this zone | Enable (Disable and Prompt are also allowed)
Allow script-initiated windows without size or position constraints | Disable
Automatic prompting for file downloads | Disable
Automatic prompting for ActiveX controls | Disable
Allow active content over restricted protocols to access my computer | Disable (Prompt is also allowed)
Launching applications and unsafe files | Prompt (Disable is also allowed)
Allow previously unused ActiveX controls to run | Disable
Allow scriptlets | Disable (Prompt is also allowed)
Display video and animation on a Web page that does not use external media player | Disable
Allow status bar updates via script | Disable
Allow Web pages to open windows without address or status bar | Disable
Allow Websites to prompt for information using scripted windows | Disable
Run Internet Explorer in Protected Mode | Enable

To customize the action Security Inspector should take for a setting, select an option in the Action drop-down list for that setting. Your options are:

Fix | Configure this setting to the recommended value.
No Action | Ignore this setting for the current operation. If the setting remains inadequate, detect it in the next scan.
Exclude | Ignore this setting for the current operation and do not detect it in future scans.


Browser Settings details

Security Inspector automatically fixed the Internet Explorer settings listed in this dialog box. To customize the action Security Inspector should take for a setting, select an option in the Action drop-down list for that setting. Your options are:

Restore | Return this setting to its previous value.
No Action | Ignore this setting for the current operation. If the setting remains unchanged, detect it in the next restore operation.


IP Address details

The IP addresses in the localhost setting of your Windows hosts file has been redirected. To customize the action Security Inspector should take for the hosts file, select an option in the Action drop-down list. Your options are:

Fix | Remove from the hosts file any line that maps a host name other than localhost to the IP address 127.0.0.1 for IPv4 or ::1 for IPv6.
No Action | Ignore the hosts file for the current operation. If the localhost setting remains redirected, detect it in the next scan.


IP Address details

Security Inspector automatically fixed the IP addresses in the localhost setting of your Windows hosts file. To customize the action Security Inspector should take for the hosts file, select an option in the Action drop-down list. Your options are:

Restore | Return the hosts file localhost setting to its previous value.
No Action | Ignore the hosts file for the current operation. If the hosts file remains unchanged, detect it in the next restore operation.


Instant Messenger details

Security Inspector checks whether Norton Internet Security is set to protect your Instant Messenger accounts (AOL Instant Messenger, Yahoo! Instant Messenger, and Microsoft Messenger). The instant messenger accounts listed in this dialog box are not protected by Norton Internet Security. To customize the action Security Inspector should take for an account, select an option in the Action drop-down list for that account. Your options are:

Fix | Configure the account to use Norton Internet Security to scan attachments.
No Action | Ignore this account for the current operation. If the account remains unprotected, detect it in the next scan.

Security Inspector does not check the settings of Yahoo! Instant Messenger 7.0, which uses server-based virus protection.


Instant Messenger details

Security Inspector automatically fixed the instant messenger accounts listed in this dialog box To customize the action Security Inspector should take for an account, select an option in the Action drop-down list for that account. Your options are:

Restore | Return this account's virus protection setting to its previous value.
No Action | Ignore this account for the current operation. If the account remains unchanged, detect it in the next restore operation.


Security Inspector results

Security Inspector did not find vulnerable settings in any of the categories included in the scan. Use Security Inspector options to include additional categories, and then scan your computer again, if necessary.

More Information

About Security Inspector

About Security Inspector General Settings options


Windows Password details

The Windows user accounts listed in this dialog box have weak or missing passwords. Security Inspector cannot automatically fix Windows account passwords, so all actions are set to No Action by default. You should create strong passwords for these Windows user accounts.

The Windows Passwords category is not available in the 64-bit version of Windows Vista.

Strong passwords have the following qualities:

  • At least eight characters

  • At least one non-alphanumeric character

  • No phrases that match available identification information, such as user name or computer name, in regular or reversed order

  • No phrases that are similar to available identification, with substitution characters such as 5 for "s" or 4 for "a"

To customize the action Security Inspector should take for a Windows user account, select an option in the Action drop-down list for that folder. Your options are:

No Action | Ignore this account for the current operation. If the setting remains inadequate, detect it in the next scan.
Exclude | Ignore this account for the current operation and do not detect it in future scans.

More Information

Creating or changing your Windows account password


Security Inspector

Security Inspector displays a list of categories that contain vulnerable settings, if any were found. By default, actions for all items in all categories (except Windows Passwords) are set to Fix. You can customize actions for each category.

Windows account passwords cannot be automatically fixed. Items in this category are set to No Action. (The Windows Passwords category is not available in the 64-bit version of Windows Vista.)

To take no action on all items in a category

  • In the Security Inspector dialog box, uncheck the category's check box.

    Security Inspector will not fix any items in the category. If the settings remain unchanged, Security Inspector will detect them in the next scan.

To customize items in a category

  1. In the Security Inspector dialog box, click Details on the category.

  2. In the category's Details window, select an option in the Action drop-down list for each item you want to customize. Your choices are:

    Fix

    Configure the item's setting to Symantec standards.

    No Action

    Security Inspector will not fix any items in the category. If the settings remain unchanged, detect them in the next scan.

    Exclude

    Ignore this item for the current operation and do not detect it in future scans.

    The action will not be executed until you click Apply in the Security Inspector dialog box.

  3. Click OK.

More Information

Windows Password details

Shared Folders details

Browser Settings details

IP Address details

Instant Messenger details

Windows Services details

User Rights details

Creating or changing your Windows account password


User Rights details

The Windows user rights listed in this dialog box are excessive according to Symantec security standards. The recommended settings for Windows user rights that Security Inspector detects are:

Act as part of operating system | No user account should have this right.
Debug programs | Only Administrator user accounts should have this right.
Force shutdown from a remote system | Only Administrator user accounts should have this right.
Take ownership of files and other objects | Only Administrator user accounts should have this right.

To customize the action Security Inspector should take for a user right, select an option in the Action drop-down list for that setting. Your options are:

Fix | Configure this user right to the recommended setting for the user account.
No Action | Ignore this user right for this user account for the current operation. If the user right remains excessive, detect it in the next scan.
Exclude | Ignore this user right for this user account for the current operation and do not detect it in future scans.


User Rights details

Security Inspector automatically fixed the Windows user rights listed in this dialog box. To customize the action Security Inspector should take for a user right, select an option in the Action drop-down list for that setting. Your options are:

Restore | Return this user right to its previous setting.
No Action | Ignore this user right for the current operation. If the user right remains unchanged, detect it in the next restore operation.


Security Inspector results

Security Inspector has completed the actions selected for the vulnerable items found during the scan.

Security Inspector can restore all fixed settings to their previous values, except for shared folders. However, if you or a third-party program modifies a setting that has been automatically fixed, Security Inspector will not be able to restore it.


Windows Services details

The startup type for the Windows services listed in this dialog box do not meet Symantec security standards. The recommended settings for the Windows services that Security Inspector detects are:

Messenger | Manual (Disabled is also allowed)
NetMeeting Remote Desktop Sharing | Manual (Disabled is also allowed)
Telnet | Disabled
World Wide Web Publishing | Disabled
FTP Server | Disabled
IIS Admin | Disabled

To customize the action Security Inspector should take for a service, detect an option in the Action drop-down list for that service. Your options are:

Fix | Set the service startup type to the recommended setting.
No Action | Ignore this service for the current operation. If the service configuration remains inadequate, detect it in the next scan.
Exclude | Ignore this service for the current operation and do not detect it in future scans.


Windows Services details

Security Inspector automatically fixed the Windows services listed in this dialog box. To customize the action Security Inspector should take for a service, select an option in the Action drop-down list for that service. Your options are:

Restore | Return this service to its previous configuration.
No Action | Ignore this service for the current operation. If the service remains unchanged, detect it in the next restore operation.


Shared Folders details

The folders listed in this dialog box should not be shared because they are administrative or system folders. Shared folders that are not administrative or system folders will be listed here only if the total number of shared folders on your computer, including administrative, system, and regular folders, is equal to or greater than five.

To customize the action Security Inspector should take for a folder, select an option in the Action drop-down list for that folder. Your options are:

Fix | Turn off sharing for this folder.
No Action | Ignore this folder for the current operation. If the setting remains inadequate, detect it in the next scan.
Exclude | Ignore this folder for the current operation and do not detect it in future scans.


Security Inspector

Security Inspector displays a list of categories that contain restorable settings, if it found any. By default, actions for all items in all categories are set to Restore. You can customize actions for each category.

Security Inspector can restore all fixed settings to their previous values, except for shared folders. However, if you or a third-party program modify a setting that has been automatically fixed, Security Inspector will not be able to restore it.

To take no action on all items in a category

  • In the Security Inspector dialog box, uncheck the category's check box.

    Security Inspector will not restore any items in the category. If the settings remain unchanged, Security Inspector will detect them in the next restore operation.

To customize items in a category

  1. Click Details on the category.

  2. In the category's Details page, click an option in the Action drop-down list for each item you want to customize. Your choices are:

    Restore

    Return the item's setting to its previous value.

    No Action

    Ignore this item for the current operation. If the setting remains unchanged, detect them in the next restore operation.

    The action will not be executed until you click Apply in the Security Inspector dialog box.

  3. Click OK.

More Information

Browser Settings details

IP Address details

Instant Messenger details

Windows Services details

User Rights details


Security Inspector results

Security Inspector did not find any restorable settings. You or a third-party program might have modified settings that Security Inspector fixed previously.

More Information

About Security Inspector


Security Inspector results

Security Inspector has completed the actions selected for the restorable items found during the restore operation.

Restoring settings to their previous, vulnerable states can compromise the security of your computer.